package wow.doge.mygame.game.appstates;

import com.jme3.app.state.AbstractAppState;
import com.simsilica.es.EntityData;
import com.simsilica.es.base.DefaultEntityData;
import com.jme3.app.state.BaseAppState;
import com.jme3.app.Application;

public class EntityDataState extends BaseAppState {
    private EntityData entityData;

    public EntityDataState() {
        this(new DefaultEntityData());
    }

    public EntityDataState(EntityData ed) {
        this.entityData = ed;
    }

    public EntityData getEntityData() {
        return entityData;
    }

    public void onEnable() {
    }

    public void onDisable() {
    }

    // @Override
    public void cleanup(Application application) {
        entityData.close();
        entityData = null; // cannot be reused
    }

    public void initialize(Application application) {
    }
}