package wow.doge.mygame.utils

import monix.bio.IO

object IOUtils {
  def toTask[T](bio: monix.bio.IO[Throwable, T]) =
    monix.eval.Task.deferAction(implicit s => bio.to[monix.eval.Task])

  def toIO[T](task: monix.eval.Task[T]) =
    IO.deferAction(implicit s => IO.from(task))

}
