package wow.doge.mygame.utils

case class Display(
    width: Int,
    height: Int,
    title: String,
    fullScren: Boolean,
    vsync: Boolean,
    frameRate: Int
)
object Display {
  val default = Display(
    width = 640,
    height = 480,
    title = "JME-Game",
    fullScren = false,
    vsync = false,
    frameRate = -1
  )
}
case class GlobalSettings(display: Display = Display.default)
